%global git_hash 33dee97
%global git_date 20111109

Name:       nodejs-graceful-fs
Version:    1.0.2
Release:    0.1.%{git_date}git%{git_hash}%{?dist}
Summary:    'fs' module with incremental back-off on EMFILE
License:    MIT
URL:        https://github.com/isaacs/node-graceful-fs
# downloaded from https://github.com/isaacs/node-graceful-fs/tarball/9d7cd989c77b39ccd58ce147e2fe86ca5aeafe0e
Source0:    isaacs-node-graceful-fs-1.0.1-1-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
Just like node.js' fs module, but it does an incremental back-off when EMFILE is
encountered.  Useful in asynchronous situations where one needs to try to open
lots and lots of files.

%prep
%setup -q -n isaacs-node-graceful-fs-%{git_hash}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p graceful-fs.js %{buildroot}%{nodejs_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/graceful-fs.js
%doc README.md

%changelog
* Thu Nov 10 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-0.1.20111109git33dee97
- new upstream release
- Node v0.6.0 compatibility fixes

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.1-1
- new upstream release

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package
